<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.geometry.Insets?>
<?import javafx.scene.control.Button?>
<?import javafx.scene.control.ButtonBar?>
<?import javafx.scene.control.ComboBox?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.TableColumn?>
<?import javafx.scene.control.TableView?>
<?import javafx.scene.control.TextField?>
<?import javafx.scene.layout.AnchorPane?>
<?import javafx.scene.layout.HBox?>
<?import javafx.scene.layout.VBox?>
<?import javafx.scene.text.Font?>

<AnchorPane prefHeight="585.0" prefWidth="546.0" xmlns="http://javafx.com/javafx/11.0.1" xmlns:fx="http://javafx.com/fxml/1" fx:controller="vista.ControllerArticulo">
   <children>
      <VBox layoutX="-3.0" prefHeight="350.0" prefWidth="549.0">
         <children>
            <Label alignment="CENTER" contentDisplay="TOP" prefHeight="30.0" prefWidth="550.0" style="-fx-background-color: lightgrey;" text="Formulario ARTICULOS">
               <font>
                  <Font size="20.0" />
               </font>
               <padding>
                  <Insets bottom="5.0" />
               </padding>
            </Label>
            <TableView fx:id="tvContenido" prefHeight="200.0" prefWidth="521.0">
              <columns>
                <TableColumn fx:id="id" prefWidth="75.0" text="Id" />
                <TableColumn fx:id="Nombre" prefWidth="134.0" text="Nombre" />
                  <TableColumn fx:id="Precio" prefWidth="88.0" text="Precio" />
                  <TableColumn fx:id="Codigo" minWidth="3.0" prefWidth="78.0" text="Codigo" />
                  <TableColumn fx:id="Grupo" minWidth="0.0" prefWidth="115.0" text="Grupo" />
              </columns>
            </TableView>
            <ButtonBar prefHeight="40.0" prefWidth="200.0">
              <buttons>
                  <TextField fx:id="tfnom" promptText="nombre" />
                  <TextField fx:id="tfprecio" promptText="precio" />
                  <TextField fx:id="tfcodigo" promptText="codigo" />
                  <ComboBox fx:id="cbgrupo" minWidth="73.0" prefHeight="26.0" prefWidth="150.0" promptText="grupo" />
              </buttons>
            </ButtonBar>
            <HBox alignment="CENTER" prefHeight="81.0" prefWidth="520.0">
               <children>
                <Button fx:id="btnuevo" mnemonicParsing="false" onAction="#nuevo" prefHeight="26.0" prefWidth="131.0" text="Nuevo">
                     <HBox.margin>
                        <Insets left="5.0" right="5.0" />
                     </HBox.margin></Button>
                  <Button fx:id="btborrar" mnemonicParsing="false" onAction="#borrar" prefHeight="26.0" prefWidth="131.0" text="Borrar">
                     <HBox.margin>
                        <Insets left="5.0" right="5.0" />
                     </HBox.margin></Button>
                  <Button fx:id="btmodificar" mnemonicParsing="false" onAction="#modificar" prefHeight="26.0" prefWidth="123.0" text="Modificar">
                     <HBox.margin>
                        <Insets left="5.0" right="5.0" />
                     </HBox.margin></Button>
                  <Button fx:id="btimportar" mnemonicParsing="false" onAction="#importar" prefHeight="26.0" prefWidth="114.0" text="Importar" textAlignment="CENTER">
                     <HBox.margin>
                        <Insets left="5.0" right="5.0" />
                     </HBox.margin></Button>
               </children>
               <opaqueInsets>
                  <Insets />
               </opaqueInsets>
            </HBox>
         </children>
      </VBox>
      <TableView fx:id="tvGrup" layoutY="333.0" prefHeight="252.0" prefWidth="231.0">
        <columns>
          <TableColumn fx:id="grId" prefWidth="75.0" text="Id" />
          <TableColumn fx:id="grDescripcion" prefWidth="155.0" text="Descricion" />
        </columns>
      </TableView>
      <TextField fx:id="descripcion" alignment="CENTER" layoutX="291.0" layoutY="405.0" promptText="Descripcion" />
      <Button layoutX="325.0" layoutY="459.0" mnemonicParsing="false" onAction="#insertGrup" text="Nuevo Grupo" />
   </children>
</AnchorPane>
